OCLGRIND(1)

NAME
oclgrind - runtime API interface for Oclgrind

DESCRIPTION

  Usage:

    oclgrind [OPTIONS] COMMAND oclgrind [--help | --version]

OPTIONS

--build-options
    OPTIONS Additional options to pass to the OpenCL compiler

--check-api
    Reports errors on API calls

--data-races
    Enable data-race detection

--disable-pch
    Don't use precompiled headers

--dump-spir
    Dump SPIR to /tmp/oclgrind_*.{ll,bc}

-h --help
    Display usage information

--inst-counts
    Output histograms of instructions executed

-i --interactive
    Enable interactive mode

--log
    LOGFILE Redirect log/error messages to a file

--max-errors
    NUM Limit the number of error/warning messages

--num-threads
    NUM Set the number of worker threads to use

--pch-dir
    DIR Override directory containing precompiled headers

--plugins
    PLUGINS Load colon separated list of plugin libraries

-q --quick
    Only run first and last work-group

--uniform-writes
    Don't suppress uniform write-write data-races

-v --version
    Display version information

For more information, please visit the Oclgrind wiki page: -> https://github.com/jrprice/Oclgrind/wiki

Oclgrind 15.5

COPYRIGHT
Copyright © 2013-2015 James Price and Simon McIntosh-Smith, University of Bristol https://github.com/jrprice/Oclgrind

SEE ALSO
The full documentation for oclgrind is maintained as a Texinfo manual. If the info and oclgrind programs are properly installed at your site, the command

    info oclgrind

should give you access to the complete manual.